intervaly=[0,0,0,0];
for i=0:999
    a=M(4*i+1);
    b=M(4*i+2);
    c=M(4*i+3);
    d=M(4*i+4);
    %výpočet intervalu spolehlivosti pro Studentovo rozdeleni
    %ulozeni intervalu nekam
    strh=mean([a,b,c,d]);
    t3=3.182;
    smod=std([a,b,c,d]);
    n=4;
    intspoltd=strh-t3*(smod/sqrt(n));
    intspolth=strh+t3*(smod/sqrt(n));
    
    %vypocet intervalu spolehlivosti Hornovym postupem
    %vzestupne usporadani
    p=sort([a,b,c,d]);
    %spocitani hloubky pivota
    H1=floor((n+1)/2)/2;
    H2=floor(((n+1)/2+1)/2);
    H=H1;
    if (H1<H2)
        H=H2
%     elseif (H2<H1)
%         H=H1
    end
    %zjisteni dolniho a horniho pivotu
    xd=p(H);
    xh=p(n+1-H);
    %pivotova polosuma
    PL=(xd+xh)/2;
    %pivotove rozpeti
    RL=xh-xd;
    tL=0.738;
    %zjisteni horni a dolni hodnoty intervalu spolehlivosti
    intspolhd=PL-RL*tL;
    intspolhh=PL+RL*tL;
   intervaly(i+1,1)=intspoltd;
   intervaly(i+1,2)=intspolth;
   intervaly(i+1,3)=intspolhd;
   intervaly(i+1,4)=intspolhh;
end;
%porovnani intervalu spolehlivosti
shodnoty=[mean(intervaly(:,1)),mean(intervaly(:,2)),mean(intervaly(:,3)),mean(intervaly(:,4))];